GStreamer::ClockID(3)

NAME
GStreamer::ClockID

METHODS

  unsigned integer = $id->get_time

  $id->unschedule

  list = $id->wait

  clockreturn = $id->wait_async ($func, $data=undef)

•   $func (scalar)

•   $data (scalar)

ENUMS AND FLAGS

  enum GStreamer::ClockReturn

•   'ok' / 'GST_CLOCK_OK'

•   'early' / 'GST_CLOCK_EARLY'

•   'unscheduled' / 'GST_CLOCK_UNSCHEDULED'

•   'busy' / 'GST_CLOCK_BUSY'

•   'badtime' / 'GST_CLOCK_BADTIME'

•   'error' / 'GST_CLOCK_ERROR'

•   'unsupported' / 'GST_CLOCK_UNSUPPORTED'

•   'done' / 'GST_CLOCK_DONE'

SEE ALSO
GStreamer

COPYRIGHT
Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See GStreamer for a full notice.